@define-color colbg        #dddddd;
@define-color colbg2       #cccccc;
@define-color colfg        #000000;
@define-color colgrey      #5B6268;
@define-color colcyan      #46d9ff;
@define-color colgreen     #98be65;
@define-color colorange    #da8548;
@define-color colmagenta   #c678dd;
@define-color colviolet    #a9a1e1;
@define-color colred       #ff6c6b;
@define-color colyellow    #ecbe7b;
@define-color colwhite     #ffffff;

* {
    border: none;
    border-radius: 0;
    font-family: "Hack", "Roboto", "Helvetica", "Arial", "sans-serif";
    font-size: 10px;
    min-height: 0;
}

window#waybar {
    background-color: @colbg;
    /* color: @colfg; */
    transition-property: background-color;
    transition-duration: .5s;
}

#window {
    margin: 2px;
    min-width: 400px;
    border-radius: 10px;
}

#window.focused {
    border: 1px solid @colviolet;
    background-color: @colwhite;
    font-weight: bold;
}


#tags button  {
    border: 1px solid @colviolet;
    background-color: @colwhite;
    border-radius: 10px;
    color: @colgrey;
    min-width: 20px;
    margin: 2px;
    padding: 2px 15px;
}

#tags button.occupied  {
    color: @colorange;
}
#tags button.focused  {
    color: @colgreen;
    font-weight: bold;
}

#mode,
#battery,
#clock,
#cpu,
#memory,
#network,
#tray
{
  border: 1px solid @colviolet;
  background: @colbg2;
  padding: 0 10px;
  margin: 3px 3px 3px 3px;
  border-radius: 90px;
  background-clip: padding-box;
}
